Debian Bug report logs - #512413
Missing program (wc) in initramfs hook for live-initramfs

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Thierry Walrant <debian.tgc@walrant.net>

Date: Tue, 20 Jan 2009 16:45:01 UTC

Severity: normal

Found in version live-initramfs/1.154.3-1

Fixed in version live-initramfs/1.154.6-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#512413; Package live-initramfs. (Tue, 20 Jan 2009 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thierry Walrant <debian.tgc@walrant.net>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 20 Jan 2009 16:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thierry Walrant <debian.tgc@walrant.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Missing program (wc) in initramfs hook for live-initramfs
Date: Tue, 20 Jan 2009 17:43:29 +0100
Package: live-initramfs
Version: 1.154.3-1
Severity: normal


The following error is displayed during a debug live boot.
/init: line 191: wc: not found

In order to solve the problem I added the following line in initramfs
hook for live-initramfs (hooks/live).

copy_exec /usr/bin/wc /bin

Note: wc is used by scripts/init (in the initramfs) to count lines and 
words.

-- Package-specific info:
I discover the error on a live-initramfs installed in ubuntu (while 
trying to replace casper by live-initramfs), but as the same program (wc)
is missing on the version 1.154.5-1 2009-01-12 just downloaded from the 
git repository I think it worths to be reported here as well.


-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)

Versions of packages live-initramfs depends on:
ii  busybox                      1:1.1.3-4   Tiny utilities for small and embed
ii  file                         4.17-5etch3 Determines file type using "magic"
ii  initramfs-tools              0.85i       tools for generating an initramfs
ii  sudo                         1.6.8p12-4  Provide limited super user privile
ii  udev                         0.105-4     /dev/ and hotplug management daemo
ii  user-setup                   1.11etch1   Set up initial user and password

Versions of packages live-initramfs recommends:
ii  eject                         2.1.4-3    ejects CDs and operates CD-Changer
pn  uuid-runtime                  <none>     (no description available)
ii  wget                          1.10.2-2   retrieves files from the web

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#512413; Package live-initramfs. (Tue, 20 Jan 2009 19:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 20 Jan 2009 19:24:02 GMT) Full text and rfc822 format available.

Message #10 received at 512413@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Thierry Walrant <debian.tgc@walrant.net>, 512413@bugs.debian.org
Subject: Re: Bug#512413: Missing program (wc) in initramfs hook for live-initramfs
Date: Tue, 20 Jan 2009 20:20:24 +0100
tags 512413 +pending
thanks

Thierry Walrant wrote:
> In order to solve the problem I added the following line in initramfs
> hook for live-initramfs (hooks/live).
> 
> copy_exec /usr/bin/wc /bin

we should avoid using wc in the first place, but for the time beeing,
i've just added wc in git to the hook as a workaround.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 20 Jan 2009 19:24:03 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 26 Jan 2009 01:24:02 GMT) Full text and rfc822 format available.

Notification sent to Thierry Walrant <debian.tgc@walrant.net>:
Bug acknowledged by developer. (Mon, 26 Jan 2009 01:24:02 GMT) Full text and rfc822 format available.

Message #17 received at 512413-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 512413-close@bugs.debian.org
Subject: Bug#512413: fixed in live-initramfs 1.154.6-1
Date: Mon, 26 Jan 2009 01:17:06 +0000
Source: live-initramfs
Source-Version: 1.154.6-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.154.6-1.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.154.6-1.diff.gz
live-initramfs_1.154.6-1.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.154.6-1.dsc
live-initramfs_1.154.6-1_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.154.6-1_all.deb
live-initramfs_1.154.6.orig.tar.gz
  to pool/main/l/live-initramfs/live-initramfs_1.154.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 512413@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 26 Jan 2009 02:00:00 +0100
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.154.6-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 512413 512656 512661
Changes: 
 live-initramfs (1.154.6-1) unstable; urgency=medium
 .
   * Replacing casper with live in live-new-uuid.
   * Including wc in initramfs (Closes: #512413).
   * Added missing variable quoting that lead to broken root persistence, thanks
     to Thierry Walrant <debian.tgc@walrant.net> (Closes: #512656).
   * Adding patch from Thierry Walrant <debian.tgc@walrant.net> to allow setting
     a path for the persistence files through persistent-path boot parameter
     (Closes: #512661).
   * Adding persistent-path to parameter list and manpage.
   * Actually building/cleaning manpages through targets in Makefile.
Checksums-Sha1: 
 2e45a12499d4fac1744e98b92108a141ae76a472 1301 live-initramfs_1.154.6-1.dsc
 5dc53494852051b4c522f393a75516f1c921c3bd 79846 live-initramfs_1.154.6.orig.tar.gz
 2b6ab58b90de48a9df2e7714105428f3215a5ca9 10288 live-initramfs_1.154.6-1.diff.gz
 88d2d69c2fdf70eac44b710ca277e186a6681587 86332 live-initramfs_1.154.6-1_all.deb
Checksums-Sha256: 
 244a94258be700bd64d7bfa1719bfafcc7fc0a355d2d22c916f7d354806e8fd0 1301 live-initramfs_1.154.6-1.dsc
 421f2b312cf6a8c5148b9dbf1f49cfbccea5eba1be0a7e90f0f9c7220c5a9277 79846 live-initramfs_1.154.6.orig.tar.gz
 e1bd3f45c28f254091705495e4d7f22b23f0827c0a06f1280e730813579ab71e 10288 live-initramfs_1.154.6-1.diff.gz
 5208c65691b72518dc88de559cae13b093811191e332acbc3133176963ebd5a9 86332 live-initramfs_1.154.6-1_all.deb
Files: 
 53f45bd4c4aeeb70fe93132012b81912 1301 misc optional live-initramfs_1.154.6-1.dsc
 b60fdbe2d2aa8c7d72f086199a7ab57b 79846 misc optional live-initramfs_1.154.6.orig.tar.gz
 45f0a6f4c4ad3f11ba63988d0328f6bb 10288 misc optional live-initramfs_1.154.6-1.diff.gz
 07fac9835b0430dc0f3e6fe11671cd40 86332 misc optional live-initramfs_1.154.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkl9C8IACgkQ+C5cwEsrK54JEACfXG/rSz+BAaTiGrMPv3e0mTs4
ed0An2IgoK0an8rt4qQcRaDsTmGz+aYx
=oUAH
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#512413; Package live-initramfs. (Tue, 27 Jan 2009 13:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jordi Pujol <jordipujolp@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 27 Jan 2009 13:24:05 GMT) Full text and rfc822 format available.

Message #22 received at 512413@bugs.debian.org (full text, mbox):

From: Jordi Pujol <jordipujolp@gmail.com>
To: 512413@bugs.debian.org, debian-live@lists.debian.org
Subject: Including wc in initramfs
Date: Tue, 27 Jan 2009 14:22:36 +0100
[Message part 1 (text/plain, inline)]
Hello all,

The Debian distribution includes wc as a built-in command in Busybox,
therefore including another wc is not needed,
unless that we use a custom Busybox,
and taking care of custom cases should not be a live-initramfs task,

Regards,

Jordi Pujol
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#512413; Package live-initramfs. (Tue, 27 Jan 2009 17:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 27 Jan 2009 17:03:05 GMT) Full text and rfc822 format available.

Message #27 received at 512413@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Jordi Pujol <jordipujolp@gmail.com>
Cc: 512413@bugs.debian.org
Subject: Re: Including wc in initramfs
Date: Tue, 27 Jan 2009 17:59:55 +0100
Jordi Pujol wrote:
> Hello all,

Hi,

> The Debian distribution includes wc as a built-in command in Busybox,
> therefore including another wc is not needed,
> unless that we use a custom Busybox,
> and taking care of custom cases should not be a live-initramfs task,

indeed, it's an ubuntu only thing. so removed the wc inclusion again.
Thanks for pointing it out.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 25 Feb 2009 07:30:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:17:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.